import base64
from django.http import HttpResponse


def auth_basic(request, universe, realm='JMB'):
    def challenge(request):
        response = HttpResponse('Authorization Required')
        response.status_code = 401
        response['WWW-Authenticate'] = 'Basic realm="%s"' % realm
        return response

    if not (universe.username and universe.password):
        return

    http_auth = request.META.get('HTTP_AUTHORIZATION')
    if not http_auth:
        return challenge(request)
    http_auth = http_auth.split()
    if len(http_auth) != 2 or http_auth[0].lower() != 'basic':
        return challenge(request)
    username, sep, password = base64.b64decode(http_auth[1]).partition(':')

    if universe.username == username and universe.password == password:
            return

    return challenge(request)